
#include "stdafx.h"
#include "CGlLight.h"

void C_GLLIGHT_0::Init(GLenum LIGHT)
{
	tLIGHT = LIGHT;
	glEnable(tLIGHT);
}

void C_GLLIGHT_0::Draw()
{	
	glPushMatrix();
	glDisable(GL_TEXTURE_2D);

	glColor3ub(255,255,255);
	glDisable(GL_LIGHTING);
	glPointSize(10);
	glBegin(GL_POINTS);
		glVertex3f(this->position.x, this->position.y, this->position.z);
	glEnd();
	glColor3ub(255,0,0);
	glBegin(GL_LINES);
		glVertex3f(this->position.x, this->position.y, this->position.z);
		glVertex3f(0, 0, 0);
	glEnd();
	glPopMatrix();
	glEnable(GL_LIGHTING);
	glEnable(GL_TEXTURE_2D);
}